module dist_fn_arrays

  ! dist fn
  complex, dimension (:,:,:), allocatable :: g, gnew, gold
  ! (-ntgrid:ntgrid,2, -g-layout-)

  real, dimension(:), allocatable :: kx_shift
  ! (naky)

  real, dimension (:,:), allocatable :: vpa, vpac
  ! (2, -g-layout-)

  real, dimension (:), allocatable :: vperp2
  ! (-g-layout-)

  real, dimension (:,:), allocatable :: vpar
  ! (2, -g-layout-)

  real, dimension (:), allocatable :: aj0, aj1vp2
  ! (-g-layout-)

  ! fieldeq
  complex, dimension (:,:,:), allocatable :: apar_ext
  ! (-ntgrid:ntgrid,nakx,naky) replicated

  ! collisional diagnostic of heating rate
  complex, dimension (:,:,:,:,:), allocatable :: c_rate
  ! (-ntgrid:ntgrid,nakx,naky,nspecies,2) replicated

  ! Gabe's p
  real, dimension (:), allocatable :: gp

end module dist_fn_arrays
